##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################
""" TicketInfo: Store the validated ticket information.

$Id: TicketInfo.py,v 1.1 2005/07/04 11:02:37 admin Exp $
"""

class TicketInfo:

    def __init__(self, string):

        items = string.split(';')

        self.portalUser = items[0]
        self.user = items[1]
        self.system = items[2]
        self.client = items[3]
        self.valid = items[4]

    def getPortalUser(self):
        return self.portalUser

    def getUser(self):
        return self.user

    def getSystem(self):
        return self.system

    def getClient(self):
        return self.client

    def isValid(self):
        return self.isValid == 'true'

    def __str__(self):
        return "[%s;%s;%s;%s;%s]" % \
	    (self.getPortalUser(), self.getUser(), 
             self.getSystem(), self.getClient(),
	     self.isValid())
